#pragma once
#include "global.h"
#include "MyStructDef.h"
class CNewAni : public CDialog
{
	DECLARE_DYNAMIC(CNewAni)
	DECLARE_MESSAGE_MAP()
public:
	CNewAni(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CNewAni();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CANIEDITOR_NEWANI };
#endif
	CString outAniName;
	int outAniLen = 0;
	int outLayerNum = 0;
	int outPlaySpeed = 6;
	bool outLoopAni = false;
	int outTextureUp = 16;
	int outTextureDown = 16;
	int outTextureLeft = 16;
	int outTextureRight = 16;
	std::unordered_map<std::wstring, MyAniSet>* pAs = nullptr;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
private:
	CEdit edit_aniName;
	CEdit edit_aniLen;
	CEdit edit_layerNum;
	CEdit edlit_playSpeed;
	CButton button_loopAni;
	CEdit edit_texture_up;
	CEdit edit_texture_down;
	CEdit edit_texture_left;
	CEdit edit_texture_right;
};

